Beta

Add a private List column

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/lists/{list_id}/columns

Add a text, number, boolean, date, choice (options with colors) or person (a Workspace member) column to this List. Values stay private to this List and never modify Record facts.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

list_id*string
Match^list_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Request Body

application/json
  1. body
name*string
Length1 <= length <= 120
value_type*string
Value in"text""number""boolean""date""choice""person"
options?array<>
Items1 <= items <= 50
expected_version*SmbV0OperationsDeleteWorkspaceFieldRequestExpectedVersion
Range0 < value <= 9007199254740991

Response Body

The existing resource or idempotent replay was returned.

application/json
  1. response
data*
request_id*string
action_receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
curl -X POST 'https://example.com/v1/lists/string/columns' \  -H 'Idempotency-Key: stringst' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "value_type": "text",  "expected_version": 1}'
{  "data": {    "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",    "name": "string",    "value_type": "text",    "position": 0,    "options": [      {        "id": "string",        "label": "string",        "color": "gray"      }    ],    "list_id": "string",    "version": 1  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "create_list_column",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}